src = $(wildcard src/*.c)
obj = $(src:.c=.o)
bin = inv

CC = gcc
CFLAGS = -pedantic -Wall -O3 -ffast-math -Isrc `pkg-config --cflags freetype2` `sdl-config --cflags`
LDFLAGS = -lGLEW `pkg-config --libs freetype2` `sdl-config --libs` -lpng -ljpeg -lvorbisfile -lm

$(bin): $(obj)
	$(CC) $(CFLAGS) -o $@ $(obj) $(LDFLAGS)

.PHONY: clean
clean:
	rm -f $(obj)
